MathFunctions
Date: 2013-11-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.lexicalmatcher.utils
Class MathFunctions

    java.lang.Object
      org.gcube.contentmanagement.lexicalmatcher.utils.MathFunctions

    public class MathFunctions

extends java.lang.Object

Constructor Summary
`MathFunctions()`

Method Summary
`static java.math.BigInteger` | `chunk2Index(int chunkIndex, int chunkSize)`
`static java.util.ArrayList<java.lang.Integer>` | `generateRandoms(int numberOfRandoms, int min, int max)`
`static int[]` | `generateSequence(int elements)`
`static float` | `incrementPerc(float perc, float quantity, int N)`
`static void` | `main(java.lang.String[] args)`
`static double` | `mean(double[] p)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MathFunctions

    public MathFunctions()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -

### incrementPerc

    public static float incrementPerc(float perc,
                                      float quantity,
                                      int N)

### generateRandoms

    public static java.util.ArrayList<java.lang.Integer> generateRandoms(int numberOfRandoms,
                                                                         int min,
                                                                         int max)

### generateSequence

    public static int[] generateSequence(int elements)

### chunk2Index

    public static java.math.BigInteger chunk2Index(int chunkIndex,
                                                   int chunkSize)

### mean

    public static double mean(double[] p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD